org.licas.module

## Class ModuleComm

- java.lang.Object
- - org.licas.module.ModuleComm

-     public class ModuleComm
      extends java.lang.Object

  Communication bridge between protected `FrameworkModule` methods and other packages.
  Author:
    Kieran Greer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModuleComm()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getAdminKey(FrameworkModule frameworkModule)` Get the service module admin key.
    `static java.lang.String` | `getPassword(FrameworkModule frameworkModule)` Get the service module password.
    `static java.lang.String` | `getServerPassword(FrameworkModule frameworkModule)` Get the local server password if it is stored.
    `static void` | `shutDown(FrameworkModule frameworkModule)` Indicate to stop the module's service thread.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModuleComm

          public ModuleComm()

  - ### Method Detail

    - #### getPassword

          public static java.lang.String getPassword(FrameworkModule frameworkModule)

      Get the service module password.
      Parameters:
        `frameworkModule` - the service module.
      Returns:
        the service password.

    - #### getAdminKey

          public static java.lang.String getAdminKey(FrameworkModule frameworkModule)

      Get the service module admin key.
      Parameters:
        `frameworkModule` - the service module.
      Returns:
        the admin key.

    - #### getServerPassword

          public static java.lang.String getServerPassword(FrameworkModule frameworkModule)
                                                    throws java.lang.Exception

      Get the local server password if it is stored.
      Parameters:
        `frameworkModule` - the service module.
      Returns:
        the local server password.
      Throws:
        `java.lang.Exception` - any error.

    - #### shutDown

          public static void shutDown(FrameworkModule frameworkModule)

      Indicate to stop the module's service thread. Must be of type `ServiceModule` or derived.
      Parameters:
        `frameworkModule` - the service module.